package com.yaoyicloud.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * FILEREPO错误码
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-12-26 16:20
 */
@Getter
@AllArgsConstructor
public enum FilerepoErrorCodes {
    CMS_FILE_NOT_EXISTED_ERROR("CMS001", "cms.file.not.existed.error"),
    CMS_FILE_DUP_NAME_ERROR("CMS002", "cms.file.dup.name.error"),
    CMS_FILE_UPLOAD_ERROR("CMS003", "cms.file.upload.error"), CMS_ENT_BOND_ERROR("CMS004", "cms.ent.bond.error"),
    CMS_ENT_BOND_CAP_ERROR("CMS004", "cms.ent.bond.cap.error"), CMS_ENT_QUERY_ERROR("CMS005", "cms.ent.query.error"),
    CMS_ENT_RISK_INFO_MISS("CMS006", "cms.ent.risk.info.miss"),
    CMS_ENT_RISK_INFO_RESP_ERROR("CMS007", "csm.ent.risk.info.resp.error"),
    CMS_ENT_RISK_INV_RESP_ERROR("CMS008", "csm.ent.risk.inv.resp.error"),
    CMS_ENT_RISK_INV_RECOG_ERROR("CMS009", "csm.ent.risk.inv.recog.error"),
    CMS_ENT_RISK_INFO_DECL_PERIOD_ERROR("CMS010", "csm.ent.risk.info.decl.period.error"),
    CMS_ENT_RISK_INFO_DECL_SECRET_KEY_NOT_MATCH_ERROR("CMS011", "csm.ent.risk.info.decl.key.not.match.error"),
    CMS_ENT_RISK_INFO_DECL_NOT_EXISTED_ERROR("CMS012", "cms.ent.risk.info.decl.not.existed.error"),
    CMS_ENT_RISK_INFO_DECL_STATE_ERROR("CMS013", "cms.ent.risk.info.decl.state.error"),
    CMS_ENT_RISK_INFO_ENTNAME_ERROR("CMS014", "cms.ent.risk.info.entname.error"),
    CMS_ENT_RISK_INFO_CKT_MISSING("CMS015", "cms.ent.risk.info.ckt.missing"),
    CMS_ENT_RISK_INFO_CKT_STATE_ERROR("CMS016", "cms.ent.risk.info.ckt.state.error"),
    CMS_ENT_BOND_MISSING_ERROR("CMS017", "cms.ent.bond.missing.error"),
    CMS_ENT_AUTH_LINK_ADDRESS_ERROR("CMS018", "cms.ent.auth.link.address.error"),
    CMS_EMAIL_SEND_FAIL_ERROR("CMS019", "cms.email.send.fail.error"),
    CMS_ENT_AUTH_NOTAUTH_ERROR("CMS020", "cms.ent.auth.notauth.error"),
    CMS_RECHARGE_NOT_EXISTED_ERROR("CMS021", "cms.recharge.not.existed.error"),
    CMS_REPORT_RATE_LIMIT_ERROR("CMS022", "cms.report.rate.limiting.error"),
    CMS_ENT_RISK_INFO_STANDARD_MISSING_ERROR("CMS023", "cms.ent.risk.info.standard.missing.error"),
    CMS_ENT_RISK_INFO_CHECK_MISSING_ERROR("CMS024", "cms.ent.risk.info.ckt.missing.error"),
    CMS_ENT_RISK_INFO_CHECK_FINANCIAL_SCORE_OUT_OF_BOUNDS_ERROR("CMS025",
        "cms.ent.risk.info.ckt.score.outofbounds.error"),
    CMS_ENT_RISK_INFO_CHECK_FINANCIAL_MSG_MISSING("CMS026", "cms.ent.risk.info.ckt.financial.msg.missing"),
    CMS_ENT_RISK_INFO_CHECK_MANUAL_SCORE_LIMIT("CMS027", "cms.ent.risk.info.ckt.manual.score.limit"),
    CMS_ENT_RISK_INFO_CHECK_MANUAL_MSG_LIMIT("CMS028", "cms.ent.risk.info.ckt.manual.msg.missing"),
    CMS_ENT_RISK_INFO_CKT_ITEM_MANUAL_RESULT_MISSING("CMS029", "cms.ent.risk.info.ckt.item.manual.result.missing"),
    CMS_ENT_RISK_INFO_CHECK_CATEGORY_MSG_MISSING("CMS030", "cms.ent.risk.info.ckt.category.msg.missing"),
    CMS_PAY_QRCODE_ERROR("CMS031", "cms.pay.qrcode.error"),
    CMS_PAY_QRCODE_HASPAID_ERROR("CMS032", "cms.pay.qrcode.haspaid.error"),
    CMS_PAY_QRCODE_NOTPAID_ERROR("CMS033", "cms.pay.qrcode.notpaid.error"),
    CMS_PAY_QRCODE_QUERYRESULT_ERROR("CMS034", "cms.pay.qrcode.queryresult.error"),
    CMS_PAY_QRCODE_VALIDSIGN_ERROR("CMS035", "cms.pay.qrcode.validsign.error"),
    CMS_RECHARGE_EXPIRY_ERROR("CMS036", "cms.recharge.expiry.error"),
    CMS_RECHARGE_VERSION_ERROR("CMS037", "cms.recharge.version.error"),
    CMS_REVIEW_ITEM_CONFIG_SIGN_MISSING("CMS038", "cms.review.item.config.sign.missing"),
    CMS_ENT_RISK_INFO_STANDARD_NAME_EXISTING("CMS039", "cms.ent.risk.info.standard.name.existing"),
    CMS_ENT_RISK_INFO_STANDARD_RULE_CHECK("CMS040", "cms.ent.risk.info.standard.rule.check"),
    CMS_FILE_PARSER_FORMAT_ERROR("CMS041", "cms.file.parser.format.error"),
    CMS_ENT_RISK_INFO_DECL_GETINFO_ERROR("CMS042", "cms.ent.risk.info.decl.getinfo.error");

    private final String errorCode;
    private final String errorMsgId;
}
